Bug 143362 - multiply qualifying expression fixes
Summary: multiply qualifying expression fixes
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-19 22:29 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: RHBA-2005-130
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 04:40:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-4.5.8-alt-qual.patch (1.78 KB, patch)
2004-12-19 22:32 UTC, Dmitry V. Levin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:130 normal SHIPPED_LIVE strace bug fix update 2005-06-09 04:00:00 UTC
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Dmitry V. Levin 2004-12-19 22:29:14 UTC
Description of problem:
1. -e signal=!io (example from manpage) is broken.
2. Missing bounds checks of user input cause segfaults.

Version-Release number of selected component (if applicable):
strace-4.5.8

Steps to Reproduce:
Actual results:

$ env -i strace -e 'signal=!io' /bin/true
strace: invalid signal `io'
$ strace -e signal=999999 true
Segmentation fault
$ strace -e read=999999 true
Segmentation fault


Expected results:
$ env -i strace -e 'signal=!io' /bin/true
execve("/bin/true", ["/bin/true"], [/* 0 vars */]) = 0
_exit(0)                                = ?
$ strace -e signal=999999 true
strace: invalid signal `999999'
$ strace -e read=999999 true
strace: invalid descriptor `999999'

Comment 1 Dmitry V. Levin 2004-12-19 22:32:49 UTC
Created attachment 108865 [details]
strace-4.5.8-alt-qual.patch

Proposed patch.

Comment 2 Roland McGrath 2005-02-02 04:40:30 UTC
I've merged in those fixes.

Comment 3 Tim Powers 2005-05-19 21:10:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.